Skip to main content
v1

get_v1_acp

GET /v1/acp/{server_id}: request parameters and responses.

GET /v1/acp/{server_id}

Parameters

NameInRequiredTypeDescription
server_idpathYesstringClient-defined ACP server id

Parameter schemas

[
  {
    "name": "server_id",
    "in": "path",
    "description": "Client-defined ACP server id",
    "required": true,
    "schema": {
      "type": "string"
    }
  }
]

Responses

200

SSE stream of ACP envelopes

400

Invalid request

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

404

Unknown ACP server

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.

406

Client does not accept SSE responses

Content type: application/json

{
  "schema": {
    "$ref": "#/components/schemas/ProblemDetails"
  }
}

Related schemas: ProblemDetails.